## com.saxonica.update
Interface PendingUpdateAction

All Known Implementing Classes:
  DeleteAction, InsertAction, InsertAttributeAction, PutAction, RenameAction, ReplaceAttributeAction, ReplaceNodeAction, ReplaceValueAction

    public interface PendingUpdateAction

A pending update action, such as is found on a pending update list

Method Summary
`void` `apply(XPathContext context, java.util.Set affectedRootSet)` Apply the pending update action to the affected nodes
`int` `getApplyPhase()` Get the phase of operation in which this pending update action is applied.
`NodeInfo` `getTargetNode()` Get the target node of the update action

Method Detail

### apply

    void apply(XPathContext context,
               java.util.Set affectedRootSet)
               throws XPathException

  Apply the pending update action to the affected nodes

  Parameters:
    `context` - the XPath evaluation context
    `affectedRootSet` - the set of root nodes of trees that have been modified, which this action should add to as necessary
  Throws:
    `XPathException` - if any error occurs applying the update

### getTargetNode

    NodeInfo getTargetNode()

  Get the target node of the update action

  Returns:
    the target node, the node to which this update action applies. Returns null in the case of a delete action, which affects multiple nodes.

### getApplyPhase

    int getApplyPhase()

  Get the phase of operation in which this pending update action is applied. See 3.2.2 upd:applyUpdates, Semantics, rule 2.

  Returns:
    the phase of operation, an integer in the range 1 to 5 representing the stages labelled a-e in the specification, or 6 for a PutAction

Copyright (c) Saxonica Limited. All rights reserved.